function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import React, { useEffect, useContext } from "react";
import { Alert } from "antd";
import dayjs from "dayjs";
import { getOpenHoursByDate } from "./serve";
import { Context } from "../../model";
import { useRequest } from "ahooks";
import { getTimeRange } from "./utils";
import "./index.less";
var CurrentDay = function CurrentDay(props) {
  var _state$currentSelectD;
  var onClose = props.onClose,
    currentDay = props.currentDay;
  var _useContext = useContext(Context),
    state = _useContext.state,
    dispatch = _useContext.dispatch;
  var _getOpenHoursByDate = useRequest(getOpenHoursByDate, {
    manual: true,
    onSuccess: function onSuccess(_ref) {
      var data = _ref.data;
      dispatch({
        type: "setState",
        payload: {
          currentSelectDayDetail: _objectSpread(_objectSpread({}, state.currentSelectDayDetail), {}, {
            times: data,
            timeStr: getTimeRange(data)
          })
        }
      });
    }
  });
  useEffect(function () {
    if (currentDay) {
      _getOpenHoursByDate.run({
        date: dayjs(currentDay).format("YYYY-MM-DD")
      });
    }
  }, [currentDay]);
  return currentDay ? /*#__PURE__*/React.createElement(Alert, {
    onClose: onClose,
    closable: true,
    className: "current-day-alert",
    message: dayjs(currentDay).format("ddd MMMM YYYY"),
    description: ((_state$currentSelectD = state.currentSelectDayDetail) === null || _state$currentSelectD === void 0 ? void 0 : _state$currentSelectD.timeStr) || " "
  }) : null;
};
export default CurrentDay;